<app-spinner *ngIf='loading'></app-spinner>
<div *ngIf='!loading'>
  <app-hungry-nav-bar></app-hungry-nav-bar>

  <md-grid-list cols="5" rowHeight="5:1">
    <md-grid-tile><span class="day">Monday</span></md-grid-tile>
    <md-grid-tile class="day"><span>Tuesday</span></md-grid-tile>
    <md-grid-tile class="day"><span>Wednesday</span></md-grid-tile>
    <md-grid-tile class="day"><span>Thursday</span></md-grid-tile>
    <md-grid-tile class="day"><span>Friday</span></md-grid-tile>
  </md-grid-list>
  <md-grid-list cols="5">
    <md-grid-tile *ngFor="let dorder of history" [ngClass]="currentMonth(dorder) ? 'border' : 'grayBorder'">


      <!--<md-grid-tile-header>{{ dorder.date | date: 'dd' }}</md-grid-tile-header>-->
      <app-daily-order-history class="inTile" [order]="dorder" [isInMonth]="currentMonth(dorder)"></app-daily-order-history>
      <!--<md-grid-tile-footer><span>total</span></md-grid-tile-footer>-->

    </md-grid-tile>
  </md-grid-list>

  <md-card class='bottom-info'>
    <div fxLayout="row" fxLayoutAlign="space-between center">
      <h4>You can order until<span class="info-data">{{ globalSettingsService.getDeadLine() | async | date: 'HH:mm' }}</span>        of previous day</h4>
      <h4>Your monthly total is: <span class="info-data">{{ calcTotal() }} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
      </h4>
    </div>
  </md-card>
